# Fable3D

**Fable3D** is a lightweight, modular 3D engine written in Python — designed for game developers, simulation creators, and interactive world builders. It combines the simplicity of Python with powerful 3D rendering capabilities through OpenGL.

> "Every game is a new story — start yours with Fable3D."

---

## Features

- Custom scene graph structure
- Support for 3D models (OBJ, FBX, custom formats)
- Materials and GLSL shaders
- Perspective and orthographic cameras
- Lighting (point, directional, ambient)
- Mesh system with textures and buffers
- Input handling for mouse, keyboard, and controllers
- Real-time engine with deltaTime and FPS management

---

## Requirements

- Python `3.10+`
- `PyOpenGL`
- `numpy`

Install dependencies with:

```bash
pip install Fable3D